package com.mortals.xhx.module.form.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Form
* date: 2021-8-2 11:53:52
*/
public class FormEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627876432957L;


    /**
    * 表单名称
    */
    private String formName;

    /**
    * 表单内容
    */
    private String formContent;

    /**
    * 备注
    */
    private String remark;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户,登录名
    */
    private String updateUser;

    /**
    * 最近更新人ID
    */
    private Long updateUserId;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户,登录名
    */
    private String createUser;

    /**
    * 创建人ID
    */
    private Long createUserId;

    public FormEntity(){

    }
    /**
    * 获取 表单名称
    * @return formName
    */
    public String getFormName() {
        return this.formName;
    }
    /**
    * 设置 表单名称
    * @param formName
    */
    public void setFormName(String formName) {
        this.formName = formName;
    }
    /**
    * 获取 表单内容
    * @return formContent
    */
    public String getFormContent() {
        return this.formContent;
    }
    /**
    * 设置 表单内容
    * @param formContent
    */
    public void setFormContent(String formContent) {
        this.formContent = formContent;
    }
    /**
    * 获取 备注
    * @return remark
    */
    public String getRemark() {
        return this.remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户,登录名
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户,登录名
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 最近更新人ID
    * @return updateUserId
    */
    public Long getUpdateUserId() {
        return this.updateUserId;
    }
    /**
    * 设置 最近更新人ID
    * @param updateUserId
    */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户,登录名
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户,登录名
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建人ID
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人ID
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof FormEntity) {
            FormEntity tmp = (FormEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",formName:").append(getFormName())
                .append(",formContent:").append(getFormContent())
                .append(",remark:").append(getRemark())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",updateUserId:").append(getUpdateUserId())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
                .append(",createUserId:").append(getCreateUserId())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.formName = null;
         this.formContent = null;
         this.remark = null;
         this.updateTime = null;
         this.updateUser = null;
         this.updateUserId = null;
         this.createTime = null;
         this.createUser = null;
         this.createUserId = null;
    }
}